PJ073 - USMS - Bug #22440

[i0S] Open Transaction Top Up Prepaid (USMS) To Be Standardize With Manage Favorite

07 October 2025 10:50 AM - Mohamad Zulhilmi

Status: Closed Start date: 07 October 2025
Priority: High Due date:

Assignee: Mohamad Zulhilmi % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Description

1. Login MIB

2. Go to Top Up Prepaid (USMS)
3. Choose other for meter no

4. Click next

5. Click confirm

Actual result:
Able to input space and no maximum limit for input field

Expected result:

To be follow as manage favorite Top Up Prepaid (USMS)
1. Spacing is not allowed

2. With maximum input fields

History

#1 - 07 October 2025 10:58 AM - Yeow Yui Chuang
- Status changed from New to Resolved
- Assignee changed from Yeow Yui Chuang to Mohamad Zulhilmi

- % Done changed from 0 to 100

r238375 | yeowyc | 2025-10-07 02:52:33 +0000 | 3 lines
Changed paths:

M /BIBD/BIBDFrontEnd/iOS/BIBD (old)/branches/3.9.16/TabBarApp/Prepaid_USMS/PrepaidUSMSController.h
M /BIBD/BIBDFrontEnd/iOS/BIBD (old)/branches/3.9.16/TabBarApp/Prepaid_USMS/PrepaidUSMSController.m

Bug #22440
https://dev.silverlakemobility.com/redmine/issues/22440
Add condition for txtOther, only alphanumeric and max length = 16

#2 - 07 October 2025 11:47 AM - Mohamad Zulhilmi
- File USMS Fixed Spacing.pptx added

- Status changed from Resolved to Closed

Tested good in SIT

Files
Spacing USMS.png 183 KB 07 October 2025 Mohamad Zulhilmi
USMS Fixed Spacing.pptx 353 KB 07 October 2025 Mohamad Zulhilmi
